What's needed to run OSX 10.6 w/ guest additions on macOS 10.14.5 ?

Discussions related to using VirtualBox on Mac OS X hosts.

What's needed to run OSX 10.6 w/ guest additions on macOS 10.14.5 ?

Postby luxigo » 12. Jun 2019, 07:56

Guest additions from VirtualBox 6.0.8 running on macOS 10.14.5 are only compatible with OSX 10.7 or higher.
It makes the virtual machine almost unusable (no usb keys, no shares, no drag-n-drop, no full screen)

What should be used or tried to run smoothly OSX 10.6 with guest additions on recent MacBooks running 10.14.5 ?
luxigo
 
Posts: 2
Joined: 12. Jun 2019, 07:12

Re: What's needed to run OSX 10.6 w/ guest additions on macOS 10.14.5 ?

Postby andyp73 » 13. Jun 2019, 11:48

luxigo wrote:What should be used or tried to run smoothly OSX 10.6 with guest additions

The guest additions are only designed to be installed on OSX 10.7 or higher. The OSX guest additions have also been broken since 6.0.4. There is a discussion of this in the thread OSX GAs (VBoxDarwinAdditions.pkg): what is working.

-Andy.
My crystal ball is currently broken. If you want assistance you are going to have to give me all of the necessary information.
Please don't ask me to do your homework for you, I have more than enough of my own things to do.
andyp73
Volunteer
 
Posts: 1639
Joined: 25. May 2010, 23:48
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Assorted Linux, Windows Server 2012, DOS, Windows 10, BIOS/UEFI emulation

Re: What's needed to run OSX 10.6 w/ guest additions on macOS 10.14.5 ?

Postby luxigo » 17. Jun 2019, 18:34

andyp73 wrote:The guest additions are only designed to be installed on OSX 10.7 or higher.


I did read that in the alert dialog text halas...

But from which VirtualBox version the requirement did switch to OSX 10.7 ?
Maybe I could try this version, or to try the guest additions from this version.

-LucOS.
luxigo
 
Posts: 2
Joined: 12. Jun 2019, 07:12

Re: What's needed to run OSX 10.6 w/ guest additions on macOS 10.14.5 ?

Postby andyp73 » 18. Jun 2019, 09:31

luxigo wrote:But from which VirtualBox version the requirement did switch to OSX 10.7 ?

Unfortunately there is no earlier version you can switch to as prior to VirtualBox 6.0.x there were no guest additions at all for OS X guests. The earliest release that came with v6.0.0 also required a minimum OS X version of 10.7.

-Andy.
My crystal ball is currently broken. If you want assistance you are going to have to give me all of the necessary information.
Please don't ask me to do your homework for you, I have more than enough of my own things to do.
andyp73
Volunteer
 
Posts: 1639
Joined: 25. May 2010, 23:48
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Assorted Linux, Windows Server 2012, DOS, Windows 10, BIOS/UEFI emulation


Return to VirtualBox on Mac OS X Hosts

Who is online

Users browsing this forum: No registered users and 11 guests